<!doctype html>
<html lang="en">
<html>
<head>

<title>
Pict-o-Buzz
</title>


  <meta charset="utf-8">
 <!-- Material Design Lite -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
  <link rel="stylesheet" href="https://code.getmdl.io/1.1.3/material.blue_grey-orange.min.css">
  <script src="https://code.getmdl.io/1.1.3/material.min.js"></script>
  
  
  <link rel="stylesheet" href="main.css">

<script src="https://www.gstatic.com/firebasejs/3.6.6/firebase.js"></script>
<script>
  // Initialize Firebase
  var config = {
    apiKey: "AIzaSyB7Usx5iEMwXiKjFl45k5Zi5mi74TDXX0A",
    authDomain: "pictotech-b92d1.firebaseapp.com",
    databaseURL: "https://pictotech-b92d1.firebaseio.com",
    storageBucket: "pictotech-b92d1.appspot.com",
    messagingSenderId: "1067346865050"
  };
  firebase.initializeApp(config);
</script>

</head>

<body>


  <!-- Splash screen-->
  <section id="page-splash">
    <h3 class="logo">Welcome to Pict-o-Buzz</h3>
    <div>
      <button id="sign-in-button" class="mdl-button--raised mdl-button mdl-js-button mdl-js-ripple-effect"><i class="material-icons">account_circle</i> Sign in with Google</button>
    </div>
  </section>



 <!-- Header section containing logo and menu -->
  <header class="header mdl-layout__header mdl-color-text--white mdl-color--light-blue-700">

    <div class="mdl-layout__header-row titlebar">
      <h3 class="logo">Pict-o-Buzz</h3>
      <button id="sign-out-button" class="mdl-button--raised mdl-button mdl-js-button mdl-js-ripple-effect"><i class="material-icons">account_circle</i> Sign out</button>
    </div>
    
    
        <!-- Navigation Bar -->
    <div class="tab mdl-layout__header-row mdl-color--light-blue-600">
      <div class="mdl-tab">
        <div id="menu-add-post" class="mdl-layout__tab is-active mdl-button mdl-js-button mdl-js-ripple-effect">
          <i class="material-icons">fiber_new</i> Add Post
        </div>
        <div id="menu-my-posts" class="mdl-layout__tab mdl-button mdl-js-button mdl-js-ripple-effect">
          <i class="material-icons">home</i> My posts
        </div>
      </div>
    </div>
  </header>


<!-- Show the add post form -->



    <section class="mdl-grid content" id="section-add-post" style="display:none">
      <div class="mdl-cell mdl-cell--12-col mdl-grid">

          <!-- Card containing the inputs to add a new messages -->
          <div class="mdl-card mdl-shadow--2dp mdl-cell mdl-cell--12-col mdl-cell--8-col-tablet
                  mdl-cell--6-col-desktop">
            <div class="mdl-card__title mdl-color--light-blue-600 mdl-color-text--white">
              <h2 class="mdl-card__title-text">New Post</h2>
            </div>
            <div class="mdl-card__supporting-text mdl-color-text--grey-600">
                <form id="form-submit-notice" action="#">

                
                  <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label">
                  <input class="mdl-textfield__input" type="text" id="title">
                  <label class="mdl-textfield__label" for="title">Post title</label>
                </div>

	<label for="post-image-template">Template Image</label></br>
	<img  name="image-template" src='/Default/template_image.png' height=100 id="notice-image-template">
     	

                 <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label">
                  <textarea  class="mdl-textfield__input" rows="5" type="text" id="description"></textarea>
                  <label class="mdl-textfield__label" for="description">Post Description</label>
                </div>
                
               
                 
 	<div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label">
                  <input class="mdl-textfield__input" type="text" id="url">
                  <label class="mdl-textfield__label" for="other">URL</label>
                </div>

	<label for="button-add-images">Upload Images</label></br>
	<input type="file" name="pics" accept="image/*" multiple="multiple"  id="button-add-images">
	</br></br>


     	<label for="button-add-files">Upload Files</label></br>
	<input type="file" name="uploadfiles"  multiple="multiple"  id="button-add-files">
     	

   		 <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label">
                  <input class="mdl-textfield__input" type="text" id="other">
                  <label class="mdl-textfield__label" for="other">Post other</label>
                </div>
                <button type="submit" class="mdl-button mdl-js-button mdl-button--raised mdl-js-ripple-effect">
                  Add post
                </button>
              </form>
            </div>
        </div>
 </section>

<!-- Start College Post Section -->
<section class="mdl-grid content" id="section-college-post" style="display:none">
<div class="mdl-cell mdl-cell--12-col mdl-grid">
	<div class="mdl-card mdl-shadow--2dp">    
		<div class="mdl-card__supporting-text mdl-color-text--grey-600">
			<div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label">
			<h6>Branch<h6>
		        <input type="radio"  id="radioButtonCommon" name="groupLive" value="true">Common<br>
			<input type="radio"  id="radioButtonFe"  name="groupLive" value="false">FE<br>
			<input type="radio"  id="radioButtonComp"  name="groupLive" value="false">Comp<br>
			<input type="radio"  id="radioButtonEnTC"  name="groupLive" value="false">EnTC<br>
			<input type="radio"  id="radioButtonIT"  name="groupLive" value="false">IT<br>                 
		        </div>
		</div>
	</div>
</div>
</section>

<!--Default section -->
<section class="mdl-grid content" id="default-section" style="display:block">
<div class="mdl-cell mdl-cell--12-col mdl-grid">
	<div class="mdl-card mdl-shadow--2dp">    
		<div class="mdl-card__supporting-text mdl-color-text--grey-600">
			WELCOME TO PICTO BUZZ<br>
		<div id="permission-status">
			CHECKING FOR PERMISSIONS
		</div>
		</div>
	</div>
</div>
</section>

<section class="mdl-grid content" id="section-template-image" style="display:none">
<h5>Images</h5>
	<div class="mdl-card mdl-shadow--2dp">    
		<div class="mdl-card__supporting-text mdl-color-text--grey-600">
			<div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label" id="template-image-loader">
		</div>
	</div>
</section>
<!-- End college Post SEction-->


<!-- Start Section for Seeing Myposts -->
<section class="mdl-grid content" id="section-my-post" style="display:none">
      <div class="posts-container mdl-cell mdl-cell--12-col mdl-grid">
      </div>
</section>
<!-- END Section for Seeing Myposts -->

<script type ="text/javascript" src="submit_page.js"></script>
<script type ="text/javascript" src="add_notice.js"></script>
<script type ="text/javascript" src="my_posts.js"></script>
<script type ="text/javascript" src="my_posts_image_loader.js"></script>
</body>
</html>


